package org.springblade.flow.base.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springblade.flow.base.entity.SysConfigEntity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;


/**
 * 系统配置
 *
 * @author JNPF开发平台组
 * @version V3.1.0
 * @copyright 引迈信息技术有限公司
 * @date 2019年9月27日 上午9:18
 */
@DS("bi")
@Transactional(propagation = Propagation.NOT_SUPPORTED)
public interface SysconfigMapper extends BaseMapper<SysConfigEntity> {

    int deleteFig();

    int deleteMpFig();

    int deleteQyhFig();
}
