package org.springblade.flow.permission.mapper;

import java.util.List;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.apache.ibatis.annotations.Select;
import org.springblade.flow.permission.entity.UserEntity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

/**
 * 数据处理
 *
 * @author william
 * @date 2022-07-14 10:57:53
 */
@DS("bi")
@Transactional(propagation = Propagation.NOT_SUPPORTED)
public interface User4FlowMapper extends BaseMapper<UserEntity> {
    @Select("select id from blade_user where status=1 and is_deleted=0")
    public List<String> getAllUserIds();
}