package org.springblade.flow.engine.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @author William
 * @date 2023年2月16日 上午10:49:31
 */
@ApiModel(value = "申请审批的业务类型实体类")
@Data
@TableName("flow_cate")
public class FlowCate {

	@ApiModelProperty("唯一ID")
	@TableId(type = IdType.ASSIGN_ID)
	@JsonSerialize(using = ToStringSerializer.class)
	private Long id;

	@ApiModelProperty("名称")
	private String name;

	@ApiModelProperty("编码")
	private String code;

	@ApiModelProperty("说明")
	private String remark;

	@ApiModelProperty("创建人ID")
	private String creatorId;

	@ApiModelProperty("创建人")
	private String creator;

	@ApiModelProperty("发起时间")
	private Date createTime;

	@ApiModelProperty("修改人ID")
	private String modifierId;

	@ApiModelProperty("修改人")
	private String modifier;

	@ApiModelProperty("更新时间")
	private Date updateTime;

	@ApiModelProperty("租户 id")
	private String tenantId;
}
