package org.springblade.flow.engine.model.flowengine;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @author William
 * @date 2023年2月16日 上午10:49:31
 */
@ApiModel(value = "工作流分类")
@Data
public class FlowCateParam {

	@ApiModelProperty(value = "唯一ID", required = true)
	@JsonSerialize(using = ToStringSerializer.class)
	private Long id;

	@ApiModelProperty(value = "名称(不可重复)", required = true)
	private String name;

	@ApiModelProperty(value = "说明", required = false)
	private String remark;
}
